
Ruby - Bug #4420

OpenSSL::X509::Request#to_der で RequestError ではなく CertificateError が発生する

02/22/2011 01:44 AM - ohai (Ippei Obayashi)

Status: Closed   

Priority: Normal   

Assignee: nahi (Hiroshi Nakamura)   

Target version:    

ruby -v: ruby 1.9.2p180 (2011-02-18 revision

30909) [x86_64-linux]

Backport:  

Description

=begin

OpenSSL::X509::Request#to_der の実体(ext/openssl/ossl_x509req.c:ossl_x509req_to_der)

でOpenSSL::X509::CertificateErrorを発生させていますが、これは

OpenSSL::X509::RequestError が妥当であるように思われます。

この問題を修正するパッチを添付してあります。

=end

Associated revisions

Revision 004bd259 - 06/11/2011 10:39 AM - Hiroshi Nakamura 

ext/openssl/ossl_x509req.c: raise RequestError instead of

CertificateError when Request#to_der gets an error from OpenSSL.

Patch from Ippei Obayashi, see #4420. I cannot write a test for

this... Request does not allow to create broken bytes...

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@32005 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 02/22/2011 09:45 AM - naruse (Yui NARUSE)

- Status changed from Open to Assigned

- Assignee set to nahi (Hiroshi Nakamura)

=begin

=end

#2 - 06/11/2011 03:45 PM - ko1 (Koichi Sasada)

なひさん，こちらいかがでしょうか．

#3 - 06/11/2011 07:41 PM - nahi (Hiroshi Nakamura)

- Status changed from Assigned to Closed

Files

x509req_ossl_x509req_to_der.patch 477 Bytes 02/22/2011 ohai (Ippei Obayashi)
